import React, { useState, useEffect } from 'react';
import { json } from 'd3';
import { feature } from 'topojson';
//chakritha gist link with states names is given
const jsonIndianstate =
    'https://gist.githubusercontent.com/chakritha06/0a50d87597e9617db2dc3b237efe32a8/raw/3aa01f88768e37bdd332bfeae06c78fff37049b6/chakritha';
export const useData = () => {
    const [data, setData] = useState(null);
  	console.log(data)
    useEffect(() => {
    json(jsonIndianstate).then(topoData => {
      const {india} = topoData.objects;
      setData(feature(topoData,india))
    });
  }, []);
  return data;
  } 